Skip to main content
post/v2/workflows/dlq/restart/{dlqId}
Request example
Response
post/v2/workflows/dlq/restart/{dlqId}

Authorization

Authorizationstringheaderrequired#
QStash authentication token

1 alternative authorization method available — see the spec for details.

Path parameters

dlqIdstringrequired#
The DLQ ID of the workflow run to restart.

Headers

Upstash-Retriesinteger#
Override the number of retries for the workflow steps.
Upstash-Delaystring#
Override the delay before executing the workflow. Format is <value><unit> (e.g., "10s", "5m").
Upstash-Retry-Delaystring#
Override the retry delay expression for the workflow steps.
Upstash-Flow-Control-Keystring#
Override the flow control key for the workflow.
Upstash-Flow-Control-Valuestring#
Override the flow control configuration in the format parallelism=<value>, rate=<value>, period=<value>.
Upstash-Labelstring#

Override the label(s) for the workflow.

You can assign multiple labels by providing a comma-separated list.

Example: label_1,label_2

Upstash-Failure-Callbackstring#
Override the failure callback URL for the workflow.

Responses

application/json
Workflow restarted successfully
workflowRunIdstring#
The ID of the restarted workflow run (a new ID is generated for the restarted run).
workflowCreatedAtinteger#
The timestamp when the restarted workflow run was created (Unix timestamp in milliseconds).